Documentation Index
Fetch the complete documentation index at: https://auth0-feat-authentication-api-migration.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
GET /v2/logout
Use this endpoint to logout a user. If you want to navigate the user to a specific URL after the logout, set that URL at the returnTo parameter. The URL should be included in the appropriate Allowed Logout URLs list:
- If the
client_idparameter is included, thereturnToURL must be listed in theAllowed Logout URLsset at the application level. To learn more, read Log Users Out of Applications. - If the
client_idparameter is NOT included, thereturnToURL must be listed in theAllowed Logout URLsset at the tenant level. To learn more, read Log Users Out of Auth0. - If the
client_idparameter is included and thereturnToURL is NOT set, the server returns the user to the first Allowed Logout URLs set in the Dashboard. To learn more, read Log Users Out of Applications.
Remarks
- Logging the user out of their identity provider is not common practice, so think about the user experience before you use the
federatedquery string parameter. - The sample auth0.js script uses the library version 8. If you are using auth0.js version 7, please see this reference guide.
Learn More
Parameters
The
client_id of your application.URL to redirect the user after the logout.
Add this query string parameter to the logout URL, to log the user out of their identity provider.
Response
| Status | Description |
|---|---|
| 200 | Successfully logged out |
| 400 | Bad request, possibly due to missing required parameters |